- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

# mystring.h File Reference

Declares String class, MySQL++'s generic std::string-like class, used for holding data received from the database server. More...

`#include "common.h"`
`#include "datetime.h"`
`#include "exceptions.h"`
`#include "null.h"`
`#include "sql_buffer.h"`
`#include <string>`
`#include <sstream>`
`#include <limits>`
`#include <stdlib.h>`
`#include <string.h>`

Go to the source code of this file.

## Namespaces
namespace | mysqlpp
## Classes
class | mysqlpp::String
| A std::string work-alike that can convert itself from SQL text data formats to C++ data types. More...
## Functions
std::ostream & | mysqlpp::operator<< (std::ostream &o, const String &in)
| Stream insertion operator for String objects.

## Detailed Description

Declares String class, MySQL++'s generic std::string-like class, used for holding data received from the database server.